#
# This is a template file, an external script must edit
# this and replace ARCH_ENDIAN with a proper value
# ARCH_ENDIAN is for instance, mips, mipsel, arm, ...
#
# Crosstool RPM wrapper to build a cross compiler using a
# modified crosstool.
#
# WARNING: This rpm installs directly into the prefix directory as
#          a result of the build process.  This will whack any existing
#          files in this directory.
#
%define testing             "$TESTING"
%define arch_endian         powerpc-linux-gnuspe
%define tc_target           powerpc-linux-gnuspe
%define result_top          /opt/Embedix/usr/local
%define result_tmp          /opt/mtwk/tmp
%define toolcombo	    gcc-3.4.3-e500-glibc-2.3.3-spe
%define combo_path	    gcc-3.4.3-e500-glibc-2.3.3-spe
%define prefix              %{result_top}/%{tc_target}/%{combo_path}

%define Name                crosstool
%define Version             0.28
%define Release             7
%define Host                Linux
%define Spec_host           lnx
%define FP_config           Hard
%define Manf_prefix         emb
%define crosstool_pkg       crosstool-0.28_mtwk27Apr05.tar.gz
%define summary             %{Host} hosted GCC %{arch_endian} cross compiler
%define BLD_DIR             crosstool/%{Name}-%{Version}_mtwk
%define __os_install_post %{nil} 
%define __check_files %{nil}


Name            : %{Manf_prefix}-%{Spec_host}-%{arch_endian}-%{combo_path}
Version         : %{Version}
Release         : %{Release}
License         : GPL
Vendor          : Freescale Inc
Packager        : Steve Papacharalambous <stevep@freescale.com>
Source0         : %{crosstool_pkg}
Autoreq         : 0
Autoreqprov     : no

Group           : Programming/Compiler
Summary         : %{summary}

%Description
%{summary}

host         : Linux
binutils     : binutils-2.15
gcc          : gcc-3.4.3
glibc        : glibc-2.3.3
linux hdr    : linux-2.6.8
san kern hdr : linux-libc-headers-2.6.11.2
cygwin       : 
FP           : Hard

Built using %{Name}-%{Version}. For more information on crosstool, 
go to: http://kegel.com/crosstool/ 


%Prep
if [ %{arch_endian} = ARCH_ENDIAN ] ; then 
	echo "You need to set ARCH_ENDIAN to a real value"
	exit 1
fi
cd $RPM_BUILD_DIR
rm -rf %{BLD_DIR}
mkdir -p %{BLD_DIR}
cd %{BLD_DIR}
if [ -n %{testing} ]
then
	cp -lr /opt/downloads/crosstool/%{Name}-%{Version}/* .
else
	cd ..
	tar -zxvf $RPM_SOURCE_DIR/%{crosstool_pkg}
fi


%Build
if [ %{arch_endian} = ARCH_ENDIAN ] ; then 
	echo "You need to set ARCH_ENDIAN to a real value"
	exit 1
fi
rm -rf %{prefix}
cd $RPM_BUILD_DIR/%{BLD_DIR}
export ARCH_ENDIAN=%{arch_endian}
export RESULT_TOP=%{result_top}
export TC_HOST=%{Host}
export FP_BUILD=%{FP_config}
export TC_TARGET=%{tc_target}
export RESULT_TMP=%{result_tmp}
export TOOLCOMBO=%{toolcombo}
export COMBO_PATH=%{combo_path}
sh build_toolchain.sh

%Install

%Clean
rm -rf %{prefix}
rm -rf $RPM_BUILD_DIR/crosstool/build/%{tc_target}/%{combo_path}

%Files
%defattr(-,root,root)
%{prefix}

